Main Page Class Hierarchy Compound List File List Compound Members File Members

# chron3.c File Reference

`#include <stdio.h>`
`#include <time.h>`
`#include <sys/types.h>`
`#include <chron3.h>`

Go to the source code of this file.

## Functions
long | julmin (struct Greg *pg)
Greg * | grg (long min, struct Greg *pg)
long | julian (struct Greg *pg)
Greg * | gregor (long min, struct Greg *pg)
void | date20 (double secs, char *c20)
double | tnow (void)
Greg * | datime (double secs, struct Greg *pg)
void | date17 (double secs, char *c17)
double | julsec17 (char *c17)
int | epochsec17 (double *sec, char *tstr)
time_t | timegm (struct tm *tm)
## Variables
int | mo []
char * | cmo []

## Function Documentation

void date17 | ( | double | secs,
|  | char * | c17
| ) |

| Definition at line 269 of file chron3.c. References Greg::day, grg(), Greg::hour, Greg::minute, Greg::month, and Greg::year. Referenced by make_datestr(), write_glevt_phasecard(), and write_glevt_sumcard().

void date20 | ( | double | secs,
|  | char * | c20
| ) |

| Definition at line 206 of file chron3.c. References Greg::day, grg(), Greg::hour, Greg::minute, Greg::month, and Greg::year.

struct Greg* datime | ( | double | secs,
|  | struct Greg * | pg
| ) |

| Definition at line 247 of file chron3.c. References datime(), gregor(), Greg::hour, min, Greg::minute, and Greg::second. Referenced by datime().

int epochsec17 | ( | double * | sec,
|  | char * | tstr
| ) |

| Definition at line 324 of file chron3.c. References GSEC1970, and julsec17(). Referenced by BuildPhs(), ParseNSNMsg(), ParsePhase(), read_glevt_phasecard(), read_glevt_sumcard(), SACPA_next_ev(), t_atodbl(), and timegm().

struct Greg* gregor | ( | long | min,
|  | struct Greg * | pg
| ) |

| Definition at line 147 of file chron3.c. References Greg::day, gregor(), julian(), min, mo, Greg::month, and Greg::year. Referenced by datime(), gregor(), and grg().

struct Greg* grg | ( | long | min,
|  | struct Greg * | pg
| ) |

| Definition at line 86 of file chron3.c. References gregor(), grg(), Greg::hour, min, and Greg::minute. Referenced by date17(), date20(), and grg().

long julian | ( | struct Greg * | pg | ) |

| Definition at line 103 of file chron3.c. References Greg::day, mo, Greg::month, and Greg::year. Referenced by gregor(), and julmin().

long julmin | ( | struct Greg * | pg | ) |

| Definition at line 78 of file chron3.c. References Greg::hour, julian(), and Greg::minute. Referenced by julsec17(), and tnow().

double julsec17 | ( | char * | c17 | ) |

| Definition at line 288 of file chron3.c. References Greg::day, Greg::hour, julmin(), Greg::minute, Greg::month, and Greg::year. Referenced by epochsec17(), read_hyp(), and read_phs().

time_t timegm | ( | struct tm * | tm | ) |

| Definition at line 345 of file chron3.c. References epochsec17(). Referenced by rd_strongmotion(), and rd_strongmotionII().

double tnow | ( | void |  | ) |

| Definition at line 224 of file chron3.c. References Greg::day, Greg::hour, julmin(), Greg::minute, Greg::month, and Greg::year. Referenced by hrtime_ew().

## Variable Documentation

char* cmo[]

| Initial value:
     {"Jan", "Feb", "Mar", "Apr", "May", "Jun",
                   "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" }
Definition at line 72 of file chron3.c.

int mo[]

| Initial value:
     {   0,  31,  59,  90, 120, 151, 181, 212, 243, 273, 304, 334,
                   0,  31,  60,  91, 121, 152, 182, 213, 244, 274, 305, 335}
Definition at line 70 of file chron3.c. Referenced by gregor(), and julian().